<?php

abstract class ExtensionStoreTransactionEditor
  extends PhabricatorApplicationTransactionEditor {


  public function getEditorApplicationClass() {
    return ExtensionsStoreApplication::class;
  }

  protected function supportsSearch() {
    return true;
  }

  protected function shouldPublishFeedStory(
    PhabricatorLiskDAO $object,
    array $xactions) {

    return true;
  }

  protected function shouldSendMail(
    PhabricatorLiskDAO $object,
    array $xactions) {

    return true;
  }

  protected function getMailSubjectPrefix() {
    return pht('[Extension Store]');
  }
}
